********************************************************************
* This script computes the symmetry test described in footnote 22. * 
* It is preceded by the script check_symmetry_bs.do which runs the *
* relevant bootstraps.										       *
********************************************************************

*get variance matrix for women
use bs_lag0
corr, cov
mat Vf1=r(C)
use bs_lead0
corr, cov
mat Vf2=r(C)
use bs_both0
corr, cov
mat Vf3=r(C)

mat Vf=Vf1+Vf2-Vf3

*get variance matrix for men
use bs_lag1
corr, cov
mat Vm1=r(C)
use bs_lead1
corr, cov
mat Vm2=r(C)
use bs_both1
corr, cov
mat Vm3=r(C)

mat Vm=Vm1+Vm2-Vm3


*get point estimates
use eventspells.dta
xi i.yr i.educ i.educ|age i.educ|agesq

mat b=J(6,2,.)
forvalues f=0/1{
	local counter=1
	local j=1+`f'
	*get resids
	qui reg dw _I* age agesq if samefirm==1&female==`f'
	predict yhat if samefirm==0&female==`f'
	gen gap=dw-yhat
	drop yhat

	forvalues q=1/3{
		local gtq=`q'+1
		forvalues m=`gtq'/4{
		qui{
		sum gap if qlom==`q'&lagqlom==`m'&female==`f'&samefirm==0
		local sum=r(mean)

		sum gap if qlom==`m'&lagqlom==`q'&female==`f'&samefirm==0
		local sum=`sum'+r(mean)
		}
		di "`counter' `j'"
		mat b[`counter',`j']=`sum'
		local ++counter
		}
	}
	drop gap
}

mat bm=b[1..6,1]
mat bf=b[1..6,2]

mat Wm=bm'*inv(Vm)*bm
mat Wf=bf'*inv(Vf)*bf


di "5% Critical value for chi2(6): " invchi2tail(6,.05)
di "1% Critical value for chi2(6): " invchi2tail(6,.01)
mat list Wm
mat list Wf

